# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):

        # Changing field 'MarkovContext.name'
        db.alter_column(u'markov_markovcontext', 'name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=64))

    def backwards(self, orm):

        # Changing field 'MarkovContext.name'
        db.alter_column(u'markov_markovcontext', 'name', self.gf('django.db.models.fields.CharField')(max_length=32, unique=True))

    models = {
        u'markov.markovcontext': {
            'Meta': {'object_name': 'MarkovContext'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'})
        },
        u'markov.markovstate': {
            'Meta': {'unique_together': "(('context', 'k1', 'k2', 'v'),)", 'object_name': 'MarkovState'},
            'context': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['markov.MarkovContext']"}),
            'count': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'k1': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'k2': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'v': ('django.db.models.fields.CharField', [], {'max_length': '128'})
        },
        u'markov.markovtarget': {
            'Meta': {'object_name': 'MarkovTarget'},
            'chatter_chance': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'context': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['markov.MarkovContext']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'})
        }
    }

    complete_apps = ['markov']